/** @file depend.cpp

	Skelton for retropc emulator


	@author Sasaji
	@date   2012.03.01

	@brief [ dependency definition ]
*/

#include "common.h"
#include <stdio.h>
#include <stdarg.h>
#include "depend.h"

#ifdef _UNICODE
	/* _UNICODE */

#ifndef _WIN32
int swprintf(wchar_t *ws, const wchar_t *format, ...) {
	va_list arg;
	va_start(arg, format);
	size_t n = _MAX_PATH;
	int r = ::vswprintf(ws, n, format, arg);
	va_end(arg);
	return r;
}
int vswprintf(wchar_t *ws, const wchar_t *format, va_list arg) {
	size_t n = _MAX_PATH;
	int r = ::vswprintf(ws, n, format, arg);
	return r;
}
#endif

#else	/* !_UNICODE */

#endif	/* _UNICODE */

