/** @file gui.h

	Skelton for retropc emulator

	@author Sasaji
	@date   2015.04.01

	@brief [ gui ]
*/

#ifndef _GUI_H_
#define _GUI_H_

#if defined(GUI_TYPE_WINDOWS)


#include "windows/win_gui.h"
#define GUI_IMPL GUI_WIN::GUI

#else

#include "gui_base.h"
#define GUI_IMPL GUI_BASE

#endif

class GUI : public GUI_IMPL
{
public:
	GUI(int argc, char **argv, EMU *new_emu) : GUI_IMPL(argc, argv, new_emu) {}
};

#endif /* _GUI_H_ */
